STRUCT DRM_ENCODER(9)

NAME
struct_drm_encoder - central DRM encoder structure

SYNOPSIS

struct drm_encoder {
  struct drm_device * dev;
  struct list_head head;
  struct drm_mode_object base;
  char * name;
  int encoder_type;
  uint32_t possible_crtcs;
  uint32_t possible_clones;
  struct drm_crtc * crtc;
  struct drm_bridge * bridge;
  const struct drm_encoder_funcs * funcs;
  void * helper_private;
};

MEMBERS

dev
    parent DRM device

head
    list management

base
    base KMS object

name
    encoder name

encoder_type
    one of the DRM_MODE_ENCODER_<foo> types in drm_mode.h

possible_crtcs
    bitmask of potential CRTC bindings

possible_clones
    bitmask of potential sibling encoders for cloning

crtc
    currently bound CRTC

bridge
    bridge associated to the encoder

funcs
    control functions

helper_private
    mid-layer private data

DESCRIPTION

CRTCs drive pixels to encoders, which convert them into signals appropriate for a given connector or set of connectors.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT